<div class="settings-content">
  <div class="panel panel-default first">
    <div class="panel-heading">
      <h3 class="panel-title">{$label.searchindex}</h3>
    </div>
    <div class="panel-body">
	<div id="km_live_dataset">
      <div class="input-group">
        <span class="input-group-addon"><label>Index-Eintr&auml;ge gesamt</label></span>
        <span class="input-group-wrap"><span class="form-control tright">{$stattotal}</span></span>
      </div>
      <div class="input-group">
        <span class="input-group-addon"><label>Indizierte Artikel</label></span>
        <span class="input-group-wrap"><span class="form-control tright">{$statart}</span></span>
      </div>
      <div class="input-group">
        <span class="input-group-addon"><label>Indizierte Kategorien</label></span>
        <span class="input-group-wrap"><span class="form-control tright">{$statcat}</span></span>
      </div>
      <div class="input-group">
        <span class="input-group-addon"><label>Indizierte Hersteller</label></span>
        <span class="input-group-wrap"><span class="form-control tright">{$statmanu}</span></span>
      </div>
      <div class="input-group">
        <span class="input-group-addon"><label>Indizierte W&ouml;rter gesamt</label></span>
        <span class="input-group-wrap"><span class="form-control tright">{$statwords}</span></span>
      </div>
      <div class="input-group">
        <span class="input-group-addon"><label>W&ouml;rter pro Artikel</label></span>
        <span class="input-group-wrap"><span class="form-control tright">{$statwordperart}</span></span>
      </div>
      <div class="input-group">
        <span class="input-group-addon"><label>Fehlerhafte Suchen</label></span>
        <span class="input-group-wrap"><span class="form-control tright">{$statsearch}</span></span>
      </div>
      <div class="input-group">
        <span class="input-group-addon"><label>Nicht indizierte Artikel</label></span>
        <span class="input-group-wrap"><span class="form-control tright">{$notindexedarticles}</span></span>
      </div>
	</div>
	<div id="km_live_updater" style="display: none;">
		<h2>Bitte warten.</h2>
		<p>
			Suchindex wird geupdatet.
		</p>
		<p>Noch <strong id="km_live_anzUpdater">...</strong> Eintr&auml;ge zu verarbeiten.</p>
	</div>
      <form action="" method="POST">
        <input type="hidden" name="form" value="sent" />
		<input type="hidden" name="kPluginAdminMenu" value="{$kPluginAdminMenu->updatedatabase}" />
        <button type="submit" name="todo" value="update-index" class="btn btn-primary" onclick="startUpdateIndex({$notindexedarticles}); return false;">Suchindex aktualisieren</button>
        &nbsp;
        <button type="submit" name="todo" value="recreate-index" class="btn btn-primary">Suchindex leeren</button>
      </form>
    </div>
  </div>
</div>

<script>
{literal}
function startUpdateIndex(anz)
{
	if(anz < 1) alert("Keine Daten zum Updaten vorhanden. Alles erledigt.");
	else
	{
		$('#km_live_dataset').hide();
		$('#km_live_updater').show();
		$('#km_live_anzUpdater').html(anz);
		updateIndex();
	}
}

function updateIndex()
{	
	var data = {io: '{"name": "km_live_update","params": []}'};
	$.ajax({
		url: '../io.php',
		method: "POST",
		data: data
	}).done(function (data) {
		$('#km_live_anzUpdater').html(data);
		data = parseInt(data);
		if(data < 1)
		{
			window.location.href=window.location.href+'&kPluginAdminMenu={/literal}{$kPluginAdminMenu->updatedatabase}{literal}'
		} else {
			updateIndex();
		}
	});
}
{/literal}
</script>